import { Time } from "./Time";
export declare class Interval {
    private readonly msPerDay;
    private _ms;
    constructor(v?: Date | Interval | Time | number);
    compare(v: Date | Interval | Time | number): number;
    getTime(): number;
    getDays(): number;
    getHours(): number;
    getSeconds(): number;
    add(v: Interval | Date | Time | number): Interval;
    subtruct(v: Interval | Date | Time | number): Interval;
    valueOf(): number;
    toJSON(): number;
    toString(): string;
}
